curl --request POST \
--url https://api.aisa.one/apis/v1/context-dev/get-brand \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"identifier": "stripe.com"
}
'import requests
url = "https://api.aisa.one/apis/v1/context-dev/get-brand"
payload = { "identifier": "stripe.com" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({identifier: 'stripe.com'})
};
fetch('https://api.aisa.one/apis/v1/context-dev/get-brand', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/context-dev/get-brand",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'identifier' => 'stripe.com'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/context-dev/get-brand"
payload := strings.NewReader("{\n \"identifier\": \"stripe.com\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/context-dev/get-brand")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"identifier\": \"stripe.com\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/context-dev/get-brand")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"identifier\": \"stripe.com\"\n}"
response = http.request(request)
puts response.read_body{
"brand": {
"email": "<string>",
"links": {
"blog": "<string>",
"terms": "<string>",
"careers": "<string>",
"contact": "<string>",
"pricing": "<string>",
"privacy": "<string>"
},
"logos": [
{
"url": "<string>",
"mode": "<string>",
"type": "<string>",
"colors": [
{
"hex": "<string>",
"name": "<string>"
}
],
"resolution": {
"width": 123,
"height": 123,
"aspect_ratio": 123
}
}
],
"phone": "<string>",
"stock": {
"ticker": "<string>",
"exchange": "<string>"
},
"title": "<string>",
"colors": [
{
"hex": "<string>",
"name": "<string>"
}
],
"domain": "<string>",
"slogan": "<string>",
"address": {
"city": "<string>",
"street": "<string>",
"country": "<string>",
"state_code": "<string>",
"postal_code": "<string>",
"country_code": "<string>",
"state_province": "<string>"
},
"is_nsfw": true,
"socials": [
{
"url": "<string>",
"type": "<string>"
}
],
"backdrops": [
{
"url": "<string>",
"colors": [
{
"hex": "<string>",
"name": "<string>"
}
],
"resolution": {
"width": 123,
"height": 123,
"aspect_ratio": 123
}
}
],
"employees": {
"exact": 123,
"range": "<string>"
},
"industries": {
"eic": [
{
"industry": "<string>",
"subindustry": "<string>"
}
]
},
"description": "<string>",
"primary_language": "<string>"
},
"key_metadata": {
"credits_consumed": 123,
"credits_remaining": 123
}
}Get Brand
curl --request POST \
--url https://api.aisa.one/apis/v1/context-dev/get-brand \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"identifier": "stripe.com"
}
'import requests
url = "https://api.aisa.one/apis/v1/context-dev/get-brand"
payload = { "identifier": "stripe.com" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({identifier: 'stripe.com'})
};
fetch('https://api.aisa.one/apis/v1/context-dev/get-brand', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/context-dev/get-brand",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'identifier' => 'stripe.com'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/context-dev/get-brand"
payload := strings.NewReader("{\n \"identifier\": \"stripe.com\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/context-dev/get-brand")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"identifier\": \"stripe.com\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/context-dev/get-brand")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"identifier\": \"stripe.com\"\n}"
response = http.request(request)
puts response.read_body{
"brand": {
"email": "<string>",
"links": {
"blog": "<string>",
"terms": "<string>",
"careers": "<string>",
"contact": "<string>",
"pricing": "<string>",
"privacy": "<string>"
},
"logos": [
{
"url": "<string>",
"mode": "<string>",
"type": "<string>",
"colors": [
{
"hex": "<string>",
"name": "<string>"
}
],
"resolution": {
"width": 123,
"height": 123,
"aspect_ratio": 123
}
}
],
"phone": "<string>",
"stock": {
"ticker": "<string>",
"exchange": "<string>"
},
"title": "<string>",
"colors": [
{
"hex": "<string>",
"name": "<string>"
}
],
"domain": "<string>",
"slogan": "<string>",
"address": {
"city": "<string>",
"street": "<string>",
"country": "<string>",
"state_code": "<string>",
"postal_code": "<string>",
"country_code": "<string>",
"state_province": "<string>"
},
"is_nsfw": true,
"socials": [
{
"url": "<string>",
"type": "<string>"
}
],
"backdrops": [
{
"url": "<string>",
"colors": [
{
"hex": "<string>",
"name": "<string>"
}
],
"resolution": {
"width": 123,
"height": 123,
"aspect_ratio": 123
}
}
],
"employees": {
"exact": 123,
"range": "<string>"
},
"industries": {
"eic": [
{
"industry": "<string>",
"subindustry": "<string>"
}
]
},
"description": "<string>",
"primary_language": "<string>"
},
"key_metadata": {
"credits_consumed": 123,
"credits_remaining": 123
}
}Request contract
- Method and path: POST /apis/v1/context-dev/get-brand
- Availability: enabled
- Request URL template:
https://api.aisa.one/apis/v1/context-dev/get-brand - Runtime facts: 3068b7678674e2539daed47d533143c7d5bf21072a81e6aac34d7bd71ed57eb3
{
"operationId": "context-dev.get-brand",
"method": "POST",
"path": "/apis/v1/context-dev/get-brand",
"servers": [
{
"url": "https://api.aisa.one"
}
],
"parameters": [],
"security": [
{
"bearerAuth": []
}
],
"requestBody": {
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"lookup_type",
"identifier"
],
"properties": {
"city": {
"type": "string",
"description": "City hint for transaction lookup."
},
"tags": {
"type": "array",
"items": {
"type": "string"
},
"maxItems": 20,
"description": "Up to 20 usage-tracking tags, each 1-50 characters."
},
"phone": {
"anyOf": [
{
"type": "string"
},
{
"type": "integer"
},
{
"type": "number"
}
],
"description": "Phone-number hint for transaction lookup, as text or a number."
},
"country": {
"type": "string",
"description": "Country hint for name or transaction lookup."
},
"max_speed": {
"type": "boolean",
"default": false,
"description": "Prefer faster but potentially less comprehensive retrieval."
},
"identifier": {
"type": "string",
"examples": [
"stripe.com"
],
"minLength": 1,
"description": "Domain, company name, work email, ticker, full direct URL, or transaction descriptor matching lookup_type."
},
"max_age_ms": {
"type": "integer",
"minimum": 0,
"description": "Maximum cached brand-data age in milliseconds. The provider clamps values to 1 day through 1 year."
},
"timeout_ms": {
"type": "integer",
"maximum": 300000,
"minimum": 1000,
"description": "Provider timeout in milliseconds, from 1000 through 300000."
},
"lookup_type": {
"enum": [
"domain",
"name",
"email",
"ticker",
"direct_url",
"transaction"
],
"type": "string",
"description": "Kind of identifier supplied in identifier. Selects domain, company name, work email, stock ticker, direct URL, or transaction lookup."
},
"force_language": {
"enum": [
"afrikaans",
"albanian",
"amharic",
"arabic",
"armenian",
"assamese",
"aymara",
"azeri",
"basque",
"belarusian",
"bengali",
"bosnian",
"bulgarian",
"burmese",
"cantonese",
"catalan",
"cebuano",
"chinese",
"corsican",
"croatian",
"czech",
"danish",
"dutch",
"english",
"esperanto",
"estonian",
"farsi",
"fijian",
"finnish",
"french",
"galician",
"georgian",
"german",
"greek",
"guarani",
"gujarati",
"haitian-creole",
"hausa",
"hawaiian",
"hebrew",
"hindi",
"hmong",
"hungarian",
"icelandic",
"igbo",
"indonesian",
"irish",
"italian",
"japanese",
"javanese",
"kannada",
"kazakh",
"khmer",
"kinyarwanda",
"korean",
"kurdish",
"kyrgyz",
"lao",
"latin",
"latvian",
"lingala",
"lithuanian",
"luxembourgish",
"macedonian",
"malagasy",
"malay",
"malayalam",
"maltese",
"maori",
"marathi",
"mongolian",
"nepali",
"norwegian",
"odia",
"oromo",
"pashto",
"pidgin",
"polish",
"portuguese",
"punjabi",
"quechua",
"romanian",
"russian",
"samoan",
"scottish-gaelic",
"serbian",
"sesotho",
"shona",
"sindhi",
"sinhala",
"slovak",
"slovene",
"somali",
"spanish",
"sundanese",
"swahili",
"swedish",
"tagalog",
"tajik",
"tamil",
"tatar",
"telugu",
"thai",
"tibetan",
"tigrinya",
"tongan",
"tswana",
"turkish",
"turkmen",
"ukrainian",
"urdu",
"uyghur",
"uzbek",
"vietnamese",
"welsh",
"wolof",
"xhosa",
"yiddish",
"yoruba",
"zulu"
],
"type": "string",
"description": "Provider-supported output language name, such as english or french."
},
"ticker_exchange": {
"type": "string",
"minLength": 1,
"description": "Stock exchange identifier for ticker lookup; omit to let Context.dev default to NASDAQ."
},
"high_confidence_only": {
"type": "boolean",
"default": false,
"description": "For transaction lookup, require additional match verification."
},
"merchant_category_code": {
"anyOf": [
{
"type": "string"
},
{
"type": "integer"
},
{
"type": "number"
}
],
"description": "Merchant Category Code hint for transaction lookup, as text or a number."
}
}
}
}
}
},
"x-aisa-status": "enabled",
"x-aisa-pricing": {
"cost_contract": "response_units",
"customer_multiplier": 1.0,
"customer_pricing": "provider_cost_multiplier",
"default_request_estimate_usd": 0.0253,
"estimate_source": "profile_seed",
"evidence_source": "response_body",
"maximum_units": 10000000,
"unit": "provider_credit",
"unit_rate_usd": 1e-06
},
"components": {
"securitySchemes": {
"bearerAuth": {
"scheme": "bearer",
"type": "http"
}
}
}
}
Cost and request rules
Usage-based billing; Default request estimate: $0.0253 USD (not a fixed price). Declared unit rate: $0.000001 USD per provider_credit. Account-specific pricing and final settlement may differ. Published reference values are not an account-specific quote or a settled charge. For endpoints supporting X-AISA-Cost-Mode: quote, obtain a free quote for your exact request before execution; reconcile the settled cost with response metadata and Usage Logs. USD amounts use 1,000,000 integer micro-USD per dollar.- Default request reference estimate (USD): 0.0253
- Declared unit rate (USD): 1e-06
- Billing unit: provider_credit
- Cost contract: response_units
- Published reference multiplier: 1.0
- Declared maximum count/units: 10000000
- Settlement evidence source: response_body
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Domain, company name, work email, ticker, full direct URL, or transaction descriptor matching lookup_type.
1"stripe.com"
Kind of identifier supplied in identifier. Selects domain, company name, work email, stock ticker, direct URL, or transaction lookup.
domain, name, email, ticker, direct_url, transaction City hint for transaction lookup.
Up to 20 usage-tracking tags, each 1-50 characters.
20Phone-number hint for transaction lookup, as text or a number.
Country hint for name or transaction lookup.
Prefer faster but potentially less comprehensive retrieval.
Maximum cached brand-data age in milliseconds. The provider clamps values to 1 day through 1 year.
x >= 0Provider timeout in milliseconds, from 1000 through 300000.
1000 <= x <= 300000Provider-supported output language name, such as english or french.
afrikaans, albanian, amharic, arabic, armenian, assamese, aymara, azeri, basque, belarusian, bengali, bosnian, bulgarian, burmese, cantonese, catalan, cebuano, chinese, corsican, croatian, czech, danish, dutch, english, esperanto, estonian, farsi, fijian, finnish, french, galician, georgian, german, greek, guarani, gujarati, haitian-creole, hausa, hawaiian, hebrew, hindi, hmong, hungarian, icelandic, igbo, indonesian, irish, italian, japanese, javanese, kannada, kazakh, khmer, kinyarwanda, korean, kurdish, kyrgyz, lao, latin, latvian, lingala, lithuanian, luxembourgish, macedonian, malagasy, malay, malayalam, maltese, maori, marathi, mongolian, nepali, norwegian, odia, oromo, pashto, pidgin, polish, portuguese, punjabi, quechua, romanian, russian, samoan, scottish-gaelic, serbian, sesotho, shona, sindhi, sinhala, slovak, slovene, somali, spanish, sundanese, swahili, swedish, tagalog, tajik, tamil, tatar, telugu, thai, tibetan, tigrinya, tongan, tswana, turkish, turkmen, ukrainian, urdu, uyghur, uzbek, vietnamese, welsh, wolof, xhosa, yiddish, yoruba, zulu Stock exchange identifier for ticker lookup; omit to let Context.dev default to NASDAQ.
1For transaction lookup, require additional match verification.
Merchant Category Code hint for transaction lookup, as text or a number.